%define m17n_db_version	1.2.0
%define libotf_version	0.9.3

Name:		m17n-lib
Summary:	The m17n library is a multilingual text processing library
Version:	1.2.0
Release:	2%{?dist}
Group:		System Environment/Libraries
License:		LGPL
URL:			http://www.m17n.org/m17n-lib/index.html
Source0:		%{name}-%{version}.tar.gz
Patch0:		m17n-lib-1.1.0-deps.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:		m17n-db >= %{m17n_db_version}
BuildRequires:		libxml2-devel, xorg-x11-devel
BuildRequires:		freetype-devel >= 2.0
BuildRequires:		gd-devel >= 2.0
BuildRequires:		anthy-devel >= 6024
BuildRequires:		libotf-devel >= %{libotf_version}
BuildRequires:		fribidi-devel, libjpeg-devel

%description
The m17n library is a multilingual text processing library for the C
language.

%package	tools
Summary:	The m17n-lib tools
Group:		Applications/Text
Requires:		%{name} = %{version}-%{release}

%description	tools
m17n-lib tools.

%package	devel
Summary:	Headers of m17n-lib for development
Group:		Development/Libraries
Requires:		%{name} = %{version}-%{release}

%description	devel
Headers of %{name} for development.

%prep
%setup -q
%patch0 -p1 -b .deps

%build
[[ -f configure ]] || ./bootstrap.sh
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lib*.so.*

%files tools
%defattr(-,root,root)
%doc COPYING
%{_bindir}/*

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*


%changelog
* Sat Jan 15 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> - 1.2.0-2
- modify spec for fedora
